Package org.mockserver.mock.action.http
Class HttpActionHandler
java.lang.Object
org.mockserver.mock.action.http.HttpActionHandler
- Author:
- jamesdbloom
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionHttpActionHandler(Configuration configuration, io.netty.channel.EventLoopGroup eventLoopGroup, HttpState httpStateHandler, List<ProxyConfiguration> proxyConfigurations, NettySslContextFactory nettySslContextFactory) -
Method Summary
Modifier and TypeMethodDescriptionstatic InetSocketAddressgetRemoteAddress(io.netty.channel.ChannelHandlerContext ctx) voidprocessAction(HttpRequest request, ResponseWriter responseWriter, io.netty.channel.ChannelHandlerContext ctx, Set<String> localAddresses, boolean proxyingRequest, boolean synchronous) voidprocessEarlyAction(HttpRequest request, Expectation expectation, io.netty.channel.ChannelHandlerContext ctx, ResponseWriter earlyResponseWriter, boolean synchronous) Dispatch an early-matched expectation before the request body has been received.static voidsetRemoteAddress(io.netty.channel.ChannelHandlerContext ctx, InetSocketAddress inetSocketAddress)
-
Field Details
-
REMOTE_SOCKET
-
-
Constructor Details
-
HttpActionHandler
public HttpActionHandler(Configuration configuration, io.netty.channel.EventLoopGroup eventLoopGroup, HttpState httpStateHandler, List<ProxyConfiguration> proxyConfigurations, NettySslContextFactory nettySslContextFactory)
-
-
Method Details
-
processEarlyAction
public void processEarlyAction(HttpRequest request, Expectation expectation, io.netty.channel.ChannelHandlerContext ctx, ResponseWriter earlyResponseWriter, boolean synchronous) Dispatch an early-matched expectation before the request body has been received. SupportsAction.Type.RESPONSEandAction.Type.ERRORonly; other action types are rejected byRequestMatchers.validateRespondBeforeBodyat expectation-add time. -
processAction
public void processAction(HttpRequest request, ResponseWriter responseWriter, io.netty.channel.ChannelHandlerContext ctx, Set<String> localAddresses, boolean proxyingRequest, boolean synchronous) -
getHttpClient
-
getRemoteAddress
-
setRemoteAddress
public static void setRemoteAddress(io.netty.channel.ChannelHandlerContext ctx, InetSocketAddress inetSocketAddress)
-